<div class="full-container">
    <div class="left-content">
        <h4>Secrets</h4>
        <ul>
            <li *ngFor="let s of secrets" [class.active]="secret !== null && s === secret"><a [routerLink]="[]"
                    [queryParams]="{'name': s}">{{s}}</a></li>
        </ul>
        <div class="add-secret" [routerLink]="['../', 'create-secret']">Add secret</div>
    </div>
    <div class="right-content">
       <div *ngIf="secret !== null"> 
           <button mat-button color="warn" (click)="deleteSecret()">Delete secret</button>
       </div>
    </div>
</div>